Skip to main content
POST
/
social-media-posting
/
{locationId}
/
posts
Create Post
curl --request POST \
  --url https://services.leadconnectorhq.com/social-media-posting/{locationId}/posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "accountIds": [
    "<string>"
  ],
  "summary": "<string>",
  "scheduleTime": "2023-11-07T05:31:56Z",
  "mediaUrls": [
    "<string>"
  ]
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required
Example:

"Bearer <token>"

Version
string
required
Example:

"2021-07-28"

Path Parameters

locationId
string
required

Body

application/json
accountIds
string[]

List of connected social account IDs to post to

summary
string

Post content / caption

scheduleTime
string<date-time>
mediaUrls
string[]

Response

Successful response

Last modified on March 4, 2026